<?php
 $data = file_get_contents ('data.json');
 if ($data === false) {
  echo 'Файл data.json не найден';
  exit ();
 }
 $json = json_decode($data, true); //Вернуть массив с JSON-данными
 if (json_last_error() === JSON_ERROR_NONE) { //Нет ошибки - вывести данные рекурсивно
  array_walk_recursive ($json, function ($item,$key){ echo "\"$key\": \"$item\"<br>\n"; });
 } 
 else { //Сообщить об ошибке и выйти
  echo 'Ошибка чтения JSON: '.json_last_error().','.json_last_error_msg()."<br>\n";
  exit ();
 } 
 echo json_encode ($json,JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES);
  //Вывести JSON-объект как строку с кириллицей, нужен PHP 5.4 и выше
?>